<?php

/**
 * Metadata version
 */
$sMetadataVersion = '1.1';

/**
 * Module information
 */
$aModule = array(
    'id'           => 'd3birthdayvoucher',
    'title'        => (class_exists('d3utils')?d3utils::getInstance()->getD3Logo():'D&sup3;').' Geburtstagsgutscheine',
    'description'   => array(
        'de' => 'Bereiten Sie Ihrem Kunden mit einem automatisch generierten Geburtstagsgutschein eine Freude.<br><br>
 Dieses Modul schaut jeden Tag, ob einer Ihrer Kunden Geburtstag hat und schickt diesem zusammen mit einer Gl&uuml;ckwunsch-E-mail eine automatisch generierte Gutschein-Nummer.',
        'en' => '')
    ,

    'thumbnail'    => 'picture.png',
    'version'      => '3.2.0.0',
    'author' => 'D&sup3; Data Development',
    'url' => 'http://www.shopmodule.com',
    'email' => 'support@shopmodule.com',
    'extend'       => array(
        'oxemail'        => 'd3/d3birthdayvoucher/modules/application/models/d3_oxemail_d3birthdayvoucher',
        'oxuser'        => 'd3/d3birthdayvoucher/modules/application/models/d3_oxuser_d3birthdayvoucher',
        'oxvoucher'     => 'd3/d3birthdayvoucher/modules/application/models/d3_oxvoucher_d3birtdayvoucherdate'

    ),
    'files' => array(
        'd3_d3birthdayvoucher_settings'     => 'd3/d3birthdayvoucher/application/controllers/admin/settings.php',
        'd3_d3birthdayvoucher_main'         => 'd3/d3birthdayvoucher/application/controllers/admin/main.php',
        'd3_d3birthdayvoucher_list'         => 'd3/d3birthdayvoucher/application/controllers/admin/list.php',
        'd3_d3birthdayvoucher_licence'      => 'd3/d3birthdayvoucher/application/controllers/admin/licence.php',
        'd3_d3birthdayvoucher_agelimit'      => 'd3/d3birthdayvoucher/application/controllers/admin/agelimit.php',

        'd3_d3birthdayvoucher_voucher'      => 'd3/d3birthdayvoucher/application/models/voucher.php',
        'd3_d3birthdayvoucher_reminder'      => 'd3/d3birthdayvoucher/application/models/reminder.php',
        'd3_d3birthdayvoucher_utils'      => 'd3/d3birthdayvoucher/application/models/utils.php',
        'd3birthdayvoucher_update'          => 'd3/d3birthdayvoucher/application/models/d3birthdayvoucher_update.php',

        'd3_cfg_d3birthdayvoucherlog'       => 'd3/d3birthdayvoucher/application/controllers/admin/d3_cfg_d3birthdayvoucherlog.php',
        'd3_cfg_d3birthdayvoucherlog_list'       => 'd3/d3birthdayvoucher/application/controllers/admin/d3_cfg_d3birthdayvoucherlog_list.php',
    ),
    'templates' => array(
        'd3birthdayvoucher_settings.tpl'         => 'd3/d3birthdayvoucher/views/admin/tpl/d3birthdayvoucher_settings.tpl',
        'd3birthdayvoucher_settings_agelimit.tpl'         => 'd3/d3birthdayvoucher/views/admin/tpl/d3birthdayvoucher_settings_agelimit.tpl',

        'd3_email_birthdayvoucher_html.tpl'         => 'd3/d3birthdayvoucher/views/azure/tpl/email/d3_email_birthdayvoucher_html.tpl',
        'd3_email_birthdayvoucher_plain.tpl'         => 'd3/d3birthdayvoucher/views/azure/tpl/email/d3_email_birthdayvoucher_plain.tpl',
        'd3_email_birthdayvoucher_subj.tpl'         => 'd3/d3birthdayvoucher/views/azure/tpl/email/d3_email_birthdayvoucher_subj.tpl',

        'd3_email_birthdayvoucher_reminder_html.tpl'         => 'd3/d3birthdayvoucher/views/azure/tpl/email/d3_email_birthdayvoucher_reminder_html.tpl',
        'd3_email_birthdayvoucher_reminder_plain.tpl'         => 'd3/d3birthdayvoucher/views/azure/tpl/email/d3_email_birthdayvoucher_reminder_plain.tpl',
        'd3_email_birthdayvoucher_reminder_subj.tpl'         => 'd3/d3birthdayvoucher/views/azure/tpl/email/d3_email_birthdayvoucher_reminder_subj.tpl',

        'd3_email_birthdayvoucher_reminder_expiration_html.tpl'         => 'd3/d3birthdayvoucher/views/azure/tpl/email/d3_email_birthdayvoucher_reminder_expiration_html.tpl',
        'd3_email_birthdayvoucher_reminder_expiration_plain.tpl'         => 'd3/d3birthdayvoucher/views/azure/tpl/email/d3_email_birthdayvoucher_reminder_expiration_plain.tpl',
        'd3_email_birthdayvoucher_reminder_expiration_subj.tpl'         => 'd3/d3birthdayvoucher/views/azure/tpl/email/d3_email_birthdayvoucher_reminder_expiration_subj.tpl',
    ),
    'blocks' => array(
        array(
            'template' => 'user_main.tpl',
            'block'    => 'admin_user_main_form',
            'file'     => 'views/admin/blocks/user_main_form.tpl'
        ),
    ),
    'events' => array(
        'onActivate'      =>       'd3install::checkUpdateStart'
    )
);